const swaggerJsdoc = require('swagger-jsdoc');

const options = {
    definition: {
        openapi: '3.0.0',
        info: {
            title: 'Course Management API',
            version: '1.0.0',
        },
    },
    apis: ['./routes/*.js'], // Documentation dans les fichiers de routes
};

module.exports = swaggerJsdoc(options);
